import request from '@/utils/request'

export function AddRotationChart(data){
    console.log("新增轮播图",data);
    return request({
        url:"/api/site/addrotationchart",
        method:"Post",
        data:data,
    })
}

export function saveHispital(data){
    console.log("添加医院",data);
    return request({
        url:"/api/site/savehispital",
        method:"Post",
        data:data,
    })
}

export function addOffices(data){
    console.log("添加科室",data);
    return request({
        url:"/api/site/addoffices",
        method:"Post",
        data:data,
    })
}

export function AddDoctor(data){
    console.log("添加名医",data);
    return request({
        url:"/api/site/adddoctor",
        method:"Post",
        data:data,
    })
}

export function AddDoctorInfo(data){
   console.log("编辑名医介绍",data);
   return request({
       url:"/api/site/adddoctorinfo",
       method:"Post",
       data:data,
   })
}

export function AddOfficeEnvironment(data){
   console.log("新增科室环境",data);
   return request({
       url:"/api/site/keenvironment",
       method:"Post",
       data:data,
   })
}

export function GetRationImages(params){
    console.log("获取轮播图片",params)
    return request({
        url:"/api/site/getrationimages",
        method:'Get',
        params:params,
    })
}

export function GetHospitalInfo(params){
   console.log("获取医院信息",params)
   return request({
       url:"/api/site/gethospitalinfo",
       method:'Get',
       params:params,
   })
}

export function GetOfficeInfo(params){
   console.log("获取科室信息",params)
   return request({
       url:"/api/site/getofficeinfo",
       method:'Get',
       params:params,
   })
}

export function GetDoctorInfo(params){
    console.log("获取名医介绍",params)
    return request({
        url:"/api/site/getdoctorinfo",
        method:'Get',
        params:params,
    })
}

export function GetOffEnvironment(params){
   console.log("获取科室环境",params)
   return request({
       url:"/api/site/getOffEnvironment",
       method:'Get',
       params:params,
   })
}